API reference
อีเมลและเธรด
ส่ง ดึง ค้นหา ตอบกลับ และตรวจสอบอีเวนต์การส่งถึง
ไม่มีรายการที่ตรงกับตัวกรองนี้
/emailsส่งอีเมลหนึ่งฉบับ
ส่งเนื้อหา HTML ข้อความ หรือเทมเพลตแบบโฮสต์ประเภท transactional จากโดเมนเวิร์กสเปซที่ยืนยันแล้ว การส่งโดยตรงสามารถตั้ง message_class เป็น marketing ได้เมื่อเปิดใช้สำหรับโดเมนผู้ส่งที่ยืนยันแล้ว Marketing จะเพิ่มเฮดเดอร์ยกเลิกการรับที่จัดการให้ เว้นแต่การเชื่อมต่อ first-party ที่ตั้งค่าไว้จะจัดหา URL แบบคลิกเดียว HTTPS ที่มองเห็นได้ของตนเอง
curl https://sendhq.cc/api/v1/emails \
-X POST \
-H "Authorization: Bearer $SENDHQ_API_KEY" \
-H "Content-Type: application/json" \
-d '{"from":"Acme <hello@example.com>","to":["customer@example.net"],"subject":"Welcome aboard","html":"<h1>Welcome</h1><p>Your workspace is ready.</p>","text":"Welcome. Your workspace is ready."}'{
"id": "em_…",
"providerMessageId": "provider-id",
"threadId": "em_…"
}/emails/batchส่งข้อความที่ปรับแต่งเฉพาะรายได้สูงสุด 100 ฉบับ
ส่งข้อความที่ปรับแต่งเฉพาะรายได้สูงสุด 100 ฉบับ
curl https://sendhq.cc/api/v1/emails/batch \
-X POST \
-H "Authorization: Bearer $SENDHQ_API_KEY" \
-H "Content-Type: application/json" \
-d '{"emails":[{"from":"Acme <hello@example.com>","to":["customer@example.net"],"subject":"Welcome aboard","html":"<h1>Welcome</h1><p>Your workspace is ready.</p>","text":"Welcome. Your workspace is ready."}]}'{
"data": [
{
"index": 0,
"ok": true,
"id": "em_…"
}
],
"count": 1,
"successful": 1,
"failed": 0
}/emailsแสดงรายการอีเมลที่ส่งและได้รับ
Newest-first list with filters. `query` searches subjects, bodies, participants, and attachment filenames. `label`, `domain`, and `category` accept one value or a comma-separated list (matches any); labels may be IDs or names. `outcome` filters sent mail to `bounced`, `complained`, `failed`, or `rejected` (comma-separated, matches any). `archived=false` returns the Inbox view for received mail. Received mail is classified as `primary`, `updates` (newsletters, bulk, and automated mail), or `spam`, and flagged `important`; spam is excluded unless `category=spam` or `include_spam=true`.
curl https://sendhq.cc/api/v1/emails \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0
}/emails/:idดึงอีเมลและไฟล์แนบ
ดึงอีเมลและไฟล์แนบ
curl https://sendhq.cc/api/v1/emails/id_value \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"id": "em_…",
"direction": "out",
"status": "sent",
"attachments": []
}/emails/:idอัปเดตสถานะอ่านแล้ว การเก็บถาวร สแปม หมวดหมู่ หรือความสำคัญ
ตั้งค่า `read`, `archived`, `category` (`primary`, `updates` หรือ `spam` เฉพาะอีเมลที่ได้รับ) และ `important` การเปลี่ยน `category` หรือ `important` เป็นการสอนให้ SendHQ รู้จักผู้ส่ง คือ การรายงานสแปมจะทำให้อีเมลในอนาคตของผู้ส่งรายนั้นไปอยู่ในสแปม `Not spam` จะแทนที่การตรวจสอบสแปมอัตโนมัติสำหรับผู้ส่งนั้น และความสำคัญจะผูกกับผู้ส่ง ส่ง `learn: false` เพื่อเปลี่ยนเฉพาะข้อความนี้
curl https://sendhq.cc/api/v1/emails/id_value \
-X PATCH \
-H "Authorization: Bearer $SENDHQ_API_KEY" \
-H "Content-Type: application/json" \
-d '{"category":"spam"}'{
"id": "em_…",
"readAt": "2026-08-23T12:00:00.000Z",
"archivedAt": null,
"category": "spam",
"important": false,
"classification": "you moved it here"
}/emails/:idลบอีเมลที่เก็บรักษาไว้
ลบอีเมลที่เก็บรักษาไว้
curl https://sendhq.cc/api/v1/emails/id_value \
-X DELETE \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"ok": true
}/emails/:id/eventsแสดงรายการอีเวนต์การส่งของอีเมลฉบับหนึ่ง
แสดงรายการอีเวนต์การส่งของอีเมลฉบับหนึ่ง
curl https://sendhq.cc/api/v1/emails/id_value/events \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0
}/threads/:idดึงบทสนทนาเรียงตามลำดับเวลา
ดึงบทสนทนาเรียงตามลำดับเวลา
curl https://sendhq.cc/api/v1/threads/id_value \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"id": "em_…",
"data": [],
"count": 0
}/emails/:id/deliveryDelivery timeline for one email, with bounce and complaint reasons
Delivery timeline for one email, with bounce and complaint reasons
curl https://sendhq.cc/api/v1/emails/id_value/delivery \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"emailId": "em_123",
"status": "bounced",
"timeline": [],
"count": 0,
"limit": 50,
"offset": 0
}/threads/:id/deliveryPer-thread delivery counts and per-message failure reasons
Per-thread delivery counts and per-message failure reasons
curl https://sendhq.cc/api/v1/threads/id_value/delivery \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"threadId": "thr_123",
"delivered": 0,
"bounced": 0,
"complained": 0,
"failed": 0,
"messages": []
}